Orxonox: orxonox::XMLPortParamContainer Class Reference

# orxonox::XMLPortParamContainer Class Reference

`#include <src/core/XMLPort.h>`

Inheritance diagram for orxonox::XMLPortParamContainer:

List of all members.

## Public Types

enum | ParseResult { PR_not_started, PR_finished, PR_waiting_for_default_values }

## Public Member Functions

virtual XMLPortParamContainer & | defaultValue (unsigned int index, const MultiType &param)=0
virtual XMLPortParamContainer & | defaultValues (const MultiType &param1, const MultiType &param2, const MultiType &param3, const MultiType &param4, const MultiType &param5)=0
virtual XMLPortParamContainer & | defaultValues (const MultiType &param1, const MultiType &param2, const MultiType &param3, const MultiType &param4)=0
virtual XMLPortParamContainer & | defaultValues (const MultiType &param1, const MultiType &param2, const MultiType &param3)=0
virtual XMLPortParamContainer & | defaultValues (const MultiType &param1, const MultiType &param2)=0
virtual XMLPortParamContainer & | defaultValues (const MultiType &param1)=0
virtual XMLPortParamContainer & | description (const std::string description)=0
virtual const std::string & | getDescription ()=0
const std::string & | getName () const
| XMLPortParamContainer ()
virtual | ~XMLPortParamContainer ()

## Protected Attributes

Identifier * | identifier_
BaseObject * | owner_
std::string | paramname_
ParseResult | parseResult_

## Member Enumeration Documentation

enum orxonox::XMLPortParamContainer::ParseResult

Enumerator:

  PR_not_started |
  PR_finished |
  PR_waiting_for_default_values |

## Constructor & Destructor Documentation

orxonox::XMLPortParamContainer::XMLPortParamContainer | ( |  | ) | `[inline]`

virtual orxonox::XMLPortParamContainer::~XMLPortParamContainer | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual XMLPortParamContainer& orxonox::XMLPortParamContainer::defaultValue | ( | unsigned int | index,
|  | const MultiType & | param |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::XMLPortClassParamContainer< T >.

virtual XMLPortParamContainer& orxonox::XMLPortParamContainer::defaultValues | ( | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3,
|  | const MultiType & | param4,
|  | const MultiType & | param5 |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::XMLPortClassParamContainer< T >.

virtual XMLPortParamContainer& orxonox::XMLPortParamContainer::defaultValues | ( | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3,
|  | const MultiType & | param4 |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::XMLPortClassParamContainer< T >.

virtual XMLPortParamContainer& orxonox::XMLPortParamContainer::defaultValues | ( | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3 |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::XMLPortClassParamContainer< T >.

virtual XMLPortParamContainer& orxonox::XMLPortParamContainer::defaultValues | ( | const MultiType & | param1,
|  | const MultiType & | param2 |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::XMLPortClassParamContainer< T >.

virtual XMLPortParamContainer& orxonox::XMLPortParamContainer::defaultValues | ( | const MultiType & | param1 | ) | `[pure virtual]`

Implemented in orxonox::XMLPortClassParamContainer< T >.

virtual XMLPortParamContainer& orxonox::XMLPortParamContainer::description | ( | const std::string | description | ) | `[pure virtual]`

Implemented in orxonox::XMLPortClassParamContainer< T >.

virtual const std::string& orxonox::XMLPortParamContainer::getDescription | ( |  | ) | `[pure virtual]`

Implemented in orxonox::XMLPortClassParamContainer< T >.

const std::string& orxonox::XMLPortParamContainer::getName | ( |  | ) | const`[inline]`

## Member Data Documentation

Identifier* orxonox::XMLPortParamContainer::identifier_`[protected]`

Referenced by orxonox::XMLPortClassParamContainer< T >::port(), and orxonox::XMLPortClassParamContainer< T >::XMLPortClassParamContainer().

BaseObject* orxonox::XMLPortParamContainer::owner_`[protected]`

Referenced by orxonox::XMLPortClassParamContainer< T >::port(), and orxonox::XMLPortClassParamContainer< T >::portIfWaitingForDefaultValues().

std::string orxonox::XMLPortParamContainer::paramname_`[protected]`

Referenced by orxonox::XMLPortClassParamContainer< T >::port(), and orxonox::XMLPortClassParamContainer< T >::XMLPortClassParamContainer().

ParseResult orxonox::XMLPortParamContainer::parseResult_`[protected]`

Referenced by orxonox::XMLPortClassParamContainer< T >::defaultValue(), orxonox::XMLPortClassParamContainer< T >::defaultValues(), and orxonox::XMLPortClassParamContainer< T >::port().

The documentation for this class was generated from the following file:

- src/core/XMLPort.h